%define name graphviz
%define version 1.7.4
%define release 3mdk

Name:         %name
Version:      %version
Release:      %release
Summary:      Graphs visualization tools
Group:		Publishing
Source:		%{name}-%{version}.tar.bz2
Source2:	graphviz.license
Patch0:		graphviz-%{version}.diff.bz2
URL:		http://www.graphviz.org/
Patch1:		graphviz-work.c.patch.bz2
License:      AT&T open source (see graphviz.license)
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
graphviz is a set of graph drawing tools for Un*x or MS-Wind*ws (win32). 
Source code and binary executables for common platforms are available.
Graph drawing addresses the problem of visualizing structural information by
constructing geometric representations of abstract graphs and networks.
Automatic generation of graph drawings has important applications in key
technologies such as database design, software engineering, VLSI and network
design and visual interfaces in other domains.
The web service interface (webdot) has been moved to the webdot package.

%prep
rm -rf $RPM_BUILD_ROOT


%setup -q

%patch -p1
%patch1 -p1

%build

%configure

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 644 %{SOURCE2} .


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ.html AUTHORS COPYING  LICENSE.html BINARY.html MINTERMS.txt README NEWS graphviz.license
%{_bindir}/*
%{_libdir}/*
%{_mandir}/*/*

%changelog
* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.4-3mdk
- fix word.c

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7.4-2mdk
- bzip2 sources & diff

* Thu Jan  4 2001 Pixel <pixel@mandrakesoft.com> 1.7.4-1mdk
- initial spec
